Subject: Re: [PATCH net-next-2.6 1/1] e1000e: Expose MDI-X status via ethtool change

From: Chaitanya Lala <[email-masked]>
Date: Wed, 03 Jun 2009 14:19:11 -0700

Jeff Kirsher wrote:
> On Wed, Jun 3, 2009 at 10:45 AM, Chaitanya Lala <[email-masked]> wrote:
>   
>> Ben Hutchings wrote:
>>     
>>> On Wed, 2009-05-27 at 16:15 -0700, Chaitanya Lala wrote:
>>> [...]
>>>
>>>       
>>>> diff --git a/include/linux/ethtool.h b/include/linux/ethtool.h
>>>> index 380b042..b553bdb 100644
>>>> --- a/include/linux/ethtool.h
>>>> +++ b/include/linux/ethtool.h
>>>> @@ -30,7 +30,8 @@ struct ethtool_cmd {
>>>>        __u32   maxtxpkt;       /* Tx pkts before generating tx int */
>>>>        __u32   maxrxpkt;       /* Rx pkts before generating rx int */
>>>>        __u16   speed_hi;
>>>> -       __u16   reserved2;
>>>> +       __u8    is_mdix;
>>>>
>>>>         
>>> Since this is specific to Ethernet over twisted-pair cable, could you
>>> please rename this to "eth_tp_mdix".
>>>
>>>       
>> Will do for sure.
>>     
>>>       
>>>> +       __u8    reserved2;
>>>>        __u32   lp_advertising; /* Features the link partner advertises */
>>>>        __u32   reserved[2];
>>>>  };
>>>> @@ -632,6 +633,11 @@ struct ethtool_ops {
>>>>  #define AUTONEG_DISABLE                0x00
>>>>  #define AUTONEG_ENABLE         0x01
>>>>  +/* Mode MDI or MDI-X */
>>>> +#define MDI_INVALID 0x00
>>>> +#define MDI         0x01
>>>> +#define MDI_X       0x02
>>>>
>>>>         
>>> [...]
>>>
>>> Similarly, please add the prefix "ETH_TP_" to these.
>>>
>>>       
>> Sure.
>>     
>
> Chaitanya, I have made the requested changes to the patch in my tree.
>
>   
Thanks. I am very new to procedure of submitting kernel patches. Just 
want to make sure if this means that I not need to send another patch to 
netdev ?

Thanks,
Chaitanya